PrintJob (Java Platform SE 8 )
Keywords: java.awt.PrintJob class
Date: 2015-11-19

java.awt

## Class PrintJob

- java.lang.Object
- - java.awt.PrintJob

-     public abstract class PrintJob
      extends Object

  An abstract class which initiates and executes a print job. It provides access to a print graphics object which renders to an appropriate print device.
  See Also:
    `Toolkit.getPrintJob(java.awt.Frame, java.lang.String, java.util.Properties)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintJob()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `end()` Ends the print job and does any necessary cleanup.
    `void` | `finalize()` Ends this print job once it is no longer referenced.
    `abstract Graphics` | `getGraphics()` Gets a Graphics object that will draw to the next page.
    `abstract Dimension` | `getPageDimension()` Returns the dimensions of the page in pixels.
    `abstract int` | `getPageResolution()` Returns the resolution of the page in pixels per inch.
    `abstract boolean` | `lastPageFirst()` Returns true if the last page will be printed first.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintJob

          public PrintJob()

  - ### Method Detail

    - #### getGraphics

          public abstract Graphics getGraphics()

      Gets a Graphics object that will draw to the next page. The page is sent to the printer when the graphics object is disposed. This graphics object will also implement the PrintGraphics interface.
      See Also:
        `PrintGraphics`

    - #### getPageDimension

          public abstract Dimension getPageDimension()

      Returns the dimensions of the page in pixels. The resolution of the page is chosen so that it is similar to the screen resolution.

    - #### getPageResolution

          public abstract int getPageResolution()

      Returns the resolution of the page in pixels per inch. Note that this doesn't have to correspond to the physical resolution of the printer.

    - #### lastPageFirst

          public abstract boolean lastPageFirst()

      Returns true if the last page will be printed first.

    - #### end

          public abstract void end()

      Ends the print job and does any necessary cleanup.

    - #### finalize

          public void finalize()

      Ends this print job once it is no longer referenced.
      Overrides:
        `finalize` in class `Object`
      See Also:
        `end()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.